"use strict";
/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * BlueHeader Format Size enumeration
 * @preferred
 */
var FormatSize;
(function (FormatSize) {
    /** 1 element per data point */
    FormatSize[FormatSize["Scalar"] = 0] = "Scalar";
    /** 2 elements per data point (I/Q) */
    FormatSize[FormatSize["Complex"] = 1] = "Complex";
    /** 3 elements per data point (x,y,z or alt,lat,lon) */
    FormatSize[FormatSize["Vector"] = 2] = "Vector";
    /** 4 elements per data point (position, time) */
    FormatSize[FormatSize["Quad"] = 3] = "Quad";
    /** 9 elements per data point (3x3 coordinate transform) */
    FormatSize[FormatSize["Matrix"] = 4] = "Matrix";
    /** 16 elements per data point (4x4 coordinate transform) */
    FormatSize[FormatSize["Transform"] = 5] = "Transform";
})(FormatSize = exports.FormatSize || (exports.FormatSize = {}));
//# sourceMappingURL=format-size.enum.js.map