/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
/**
 * BlueHeader Format Size enumeration
 * @preferred
 */
export declare enum FormatSize {
    /** 1 element per data point */
    Scalar = 0,
    /** 2 elements per data point (I/Q) */
    Complex = 1,
    /** 3 elements per data point (x,y,z or alt,lat,lon) */
    Vector = 2,
    /** 4 elements per data point (position, time) */
    Quad = 3,
    /** 9 elements per data point (3x3 coordinate transform) */
    Matrix = 4,
    /** 16 elements per data point (4x4 coordinate transform) */
    Transform = 5,
}
