/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Note: BlueHeader Format (Size and Type) String representation
 */
import { FormatSize } from './format-size.enum';
import { FormatType } from './format-type.enum';
/**
 * Returns the stringified diagraph of the data format size and type as
 * described by Midas BlueFile Format.  This implementation is deliberately
 * incomplete at this time with respect to data types given support in JS.
 *
 * @param size - Enumeration of the data size (shape)
 * @param type - Enumeration of the data type (the size of the data item)
 * @return The stringified diagraph, like 'SF' for scalar float 32.
 * @preferred
 */
export declare function format(size: FormatSize, type: FormatType): string;
