/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Generic raster plot
 */
import { Layer2D } from '../../layer2d/index';
import { BasePlot } from '../../plot/index';
import { RasterPlotData } from './raster-plot-data';
/**
 * RasterPlot provides a basic 2D "falling raster" (a.k.a., waterfall) plot of
 * one's data.
 * @preferred
 */
export declare class RasterPlot extends BasePlot {
    /** Layer number being drawn */
    private _layerN;
    /** Get the SigPlot layer */
    getLayer(): Layer2D;
    /** Remove the SigPlot layer */
    removeLayer(): void;
    /**
     * Push the data buffer and other information to the plot.
     * @param plotData - buffer and parameters to plot
     */
    push(plotData: RasterPlotData): void;
}
