/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
/**
 * sigplot.m.UNITS as an enumeration.  The original structure is an enumerated
 * tuple of fields.  These enumerations match the order of that structure.
 *
 * See SigPlot for more information.
 * @preferred
 */
export var Units;
(function (Units) {
    /** None, U, */
    Units[Units["None"] = 0] = "None";
    /** Time, sec, */
    Units[Units["Time"] = 1] = "Time";
    /** Delay, sec, */
    Units[Units["Delay"] = 2] = "Delay";
    /** Frequency, Hz, */
    Units[Units["Frequency"] = 3] = "Frequency";
    /** Time code format, , */
    Units[Units["TimeCode"] = 4] = "TimeCode";
    /** Distance, m, */
    Units[Units["Distance"] = 5] = "Distance";
    /** Speed, m/s, */
    Units[Units["Speed"] = 6] = "Speed";
    /** Acceleration, m/sec^2, */
    Units[Units["Acceleration"] = 7] = "Acceleration";
    /** Jerk, m/sec^3, */
    Units[Units["JerkMSec3"] = 8] = "JerkMSec3";
    /** Doppler, Hz, */
    Units[Units["Doppler"] = 9] = "Doppler";
    /** Doppler rate, Hz/sec, */
    Units[Units["DopplerRate"] = 10] = "DopplerRate";
    /** Energy, J, */
    Units[Units["Energy"] = 11] = "Energy";
    /** Power, W, */
    Units[Units["Power"] = 12] = "Power";
    /** Mass, g, */
    Units[Units["Mass"] = 13] = "Mass";
    /** Volume, l, */
    Units[Units["Volume"] = 14] = "Volume";
    /** Angular power density, W/ster, */
    Units[Units["AngularPower"] = 15] = "AngularPower";
    /** Integrated power density, W/rad, */
    Units[Units["IntegratedPowerWrad"] = 16] = "IntegratedPowerWrad";
    /** Spatial power density, W/m^2, */
    Units[Units["SpatialPower"] = 17] = "SpatialPower";
    /** Integrated power density, W/m, */
    Units[Units["IntegratedPowerWm"] = 18] = "IntegratedPowerWm";
    /** Spectral power density, W/MHz, */
    Units[Units["SpectralPower"] = 19] = "SpectralPower";
    /** Amplitude, U, */
    Units[Units["Amplitude"] = 20] = "Amplitude";
    /** Real, U, */
    Units[Units["Real"] = 21] = "Real";
    /** Imaginary, U, */
    Units[Units["Imaginary"] = 22] = "Imaginary";
    /** Phase, rad, */
    Units[Units["PhaseRad"] = 23] = "PhaseRad";
    /** Phase, deg, */
    Units[Units["PhaseDeg"] = 24] = "PhaseDeg";
    /** Phase, cycles, */
    Units[Units["PhaseCyc"] = 25] = "PhaseCyc";
    /** 10Log, U */
    Units[Units["Log10"] = 26] = "Log10";
    /** 20Log, U */
    Units[Units["Log20"] = 27] = "Log20";
    /** Magnitude, U, */
    Units[Units["Magnitude"] = 28] = "Magnitude";
    /** Unknown, U, */
    Units[Units["Unknown1"] = 29] = "Unknown1";
    /** Unknown, U, */
    Units[Units["Unknown2"] = 30] = "Unknown2";
    /** General dimensionless, , */
    Units[Units["General"] = 31] = "General";
    /** Counts, , */
    Units[Units["Counts"] = 32] = "Counts";
    /** Angle, rad, */
    Units[Units["AngleRad"] = 33] = "AngleRad";
    /** Angle, deg, */
    Units[Units["AngleDeg"] = 34] = "AngleDeg";
    /** Relative power, dB, */
    Units[Units["RelativePowerdB"] = 35] = "RelativePowerdB";
    /** Relative power, dBm, */
    Units[Units["RelativePowerdBm"] = 36] = "RelativePowerdBm";
    /** Relative power, dBW, */
    Units[Units["RelativePowerdBW"] = 37] = "RelativePowerdBW";
    /** Solid angle, ster, */
    Units[Units["SolidAngle"] = 38] = "SolidAngle";
    /** Distance, ft, */
    Units[Units["DistanceFt"] = 40] = "DistanceFt";
    /** Distance, nmi, */
    Units[Units["DistanceNmi"] = 41] = "DistanceNmi";
    /** Speed, ft/sec, */
    Units[Units["SpeedFtSec"] = 42] = "SpeedFtSec";
    /** Speed, nmi/sec, */
    Units[Units["SpeedNmiSec"] = 43] = "SpeedNmiSec";
    /** Speed, knots=nmi/hr, */
    Units[Units["SpeedNmiHr"] = 44] = "SpeedNmiHr";
    /** Acceleration, ft/sec^2, */
    Units[Units["AccelerationFtSec2"] = 45] = "AccelerationFtSec2";
    /** Acceleration, nmi/sec^2, */
    Units[Units["AccelerationNmiSec2"] = 46] = "AccelerationNmiSec2";
    /** Acceleration, knots/sec, */
    Units[Units["AccelerationKnotsSec"] = 47] = "AccelerationKnotsSec";
    /** Acceleration, G, */
    Units[Units["AccelerationG"] = 48] = "AccelerationG";
    /** Jerk, G/sec, */
    Units[Units["JerkGSec"] = 49] = "JerkGSec";
    /** Rotation, rps, */
    Units[Units["RotationRPS"] = 50] = "RotationRPS";
    /** Rotation, rpm, */
    Units[Units["RotationRPM"] = 51] = "RotationRPM";
    /** Angular velocity, rad/sec, */
    Units[Units["AngularVelocityRadSec"] = 52] = "AngularVelocityRadSec";
    /** Angular velocity, deg/sec, */
    Units[Units["AngularVelocityDegSec"] = 53] = "AngularVelocityDegSec";
    /** Angular acceleration, rad/sec^2, */
    Units[Units["AngularAccelerationRadSec2"] = 54] = "AngularAccelerationRadSec2";
    /** Angular acceleration, deg/sec^2, */
    Units[Units["AngularAccelerationDegSec2"] = 55] = "AngularAccelerationDegSec2";
    /** Latitude, deg, */
    Units[Units["Latitude"] = 60] = "Latitude";
    /** Longitude, deg, */
    Units[Units["Longitude"] = 61] = "Longitude";
    /** Altitude, ft, */
    Units[Units["AltitudeFt"] = 62] = "AltitudeFt";
    /** Altitude, m */
    Units[Units["AltitudeM"] = 63] = "AltitudeM";
})(Units || (Units = {}));
//# sourceMappingURL=units.enum.js.map