/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Note: Utility classes and enumerations for making TS development a bit
 *       cleaner since the current exposed sigplot interface is a mix of string
 *       and numeric enumerations at this time.
 */
export { ConstructorOptions } from './constructor-options';
export { SettingsOptions } from './settings-options';
export { AxisSettings } from './axis-settings';
export { BasePlot } from './base-plot';
export { PlotData } from './plot-data';
export { IConstructorOptions, IGridStyle, IPlotColors, ISettingsOptions } from './sigplot';
export { AutoScale, CMode, DrawMode, LineType, Origin, PHUnits, RubberboxAction, RubberboxMode, XCNT } from './enums/index';
