"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var settings_options_1 = require("./settings-options");
var index_1 = require("../m/index");
/**
 * A helper class that implements enumerated interfaces where possible, etc.
 * which makes it not compatible with the IConstructorOptions interface.
 * Use the interface() method to get that interface.
 * @preferred
 */
var ConstructorOptions = /** @class */ (function (_super) {
    __extends(ConstructorOptions, _super);
    function ConstructorOptions() {
        var _this = _super.call(this) || this;
        _this.xlab = index_1.Units.Time;
        _this.ylab = index_1.Units.Amplitude;
        _this.xlabel = function () { return index_1.Units[_this.xlab]; };
        _this.ylabel = function () { return index_1.Units[_this.ylab]; };
        return _this;
    }
    Object.defineProperty(ConstructorOptions.prototype, "xi", {
        get: function () { return this.invert; },
        /** 'xi' stands for invert fg and bg defined in 'colors' */
        set: function (b) { this.invert = b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "nogrid", {
        get: function () { return !this.grid; },
        set: function (b) { this.grid = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "nopan", {
        get: function () { return !this.pan; },
        set: function (b) { this.pan = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "nospecs", {
        get: function () { return !this.specs; },
        set: function (b) { this.specs = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "noxaxis", {
        get: function () { return !this.show_x_axis; },
        set: function (b) { this.show_x_axis = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "noyaxis", {
        get: function () { return !this.show_y_axis; },
        set: function (b) { this.show_y_axis = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "noreadout", {
        get: function () { return !this.show_readout; },
        set: function (b) { this.show_readout = !b; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConstructorOptions.prototype, "smoothing", {
        get: function () { return this.rasterSmoothing; },
        set: function (b) { this.rasterSmoothing = b; },
        enumerable: true,
        configurable: true
    });
    /**
     * Export the settings as an IConstructorOptions interface
     */
    ConstructorOptions.prototype.toInterface = function () {
        var _this = this;
        var o = _super.prototype.toInterface.call(this);
        // Copy in the remaining interface elements.
        o.no_legend_button = this.no_legend_button;
        o.nodragdrop = this.nodragdrop;
        o.scroll_time_interval = this.scroll_time_interval;
        o.x_scrollbar_location = this.x_scrollbar_location;
        o.xlab = this.xlab;
        o.xlabel = this.xlabel;
        o.xdiv = this.xdiv;
        o.ylab = this.ylab;
        o.ylabel = this.ylabel;
        o.ydiv = this.ydiv;
        o.nsec = this.nsec;
        o.anno_type = this.anno_type;
        o.ncolors = this.ncolors;
        o.xi = this.xi;
        o.always_show_marker = this.always_show_marker;
        o.autohide_readout = this.autohide_readout;
        o.autohide_panbars = this.autohide_panbars;
        o.expand = this.expand;
        o.origin = this.origin;
        o.bufmax = this.bufmax;
        o.nokeypress = this.nokeypress;
        o.hide_note = this.hide_note;
        o.font_family = this.font_family;
        o.nogrid = this.nogrid;
        o.nopan = this.nopan;
        o.nospecs = this.nospecs;
        o.noxaxis = this.noxaxis;
        o.noyaxis = this.noyaxis;
        o.noreadout = this.noreadout;
        o.smoothing = this.smoothing;
        // Strip undefined members, re-set the x|ylabel ones.
        o = JSON.parse(JSON.stringify(o));
        o.xlabel = function () { return index_1.Units[_this.xlab]; };
        o.ylabel = function () { return index_1.Units[_this.ylab]; };
        return o;
    };
    return ConstructorOptions;
}(settings_options_1.SettingsOptions));
exports.ConstructorOptions = ConstructorOptions;
//# sourceMappingURL=constructor-options.js.map