"use strict";
/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Note: Utility classes and enumerations for making TS development a bit
 *       cleaner since the current exposed sigplot interface is a mix of string
 *       and numeric enumerations at this time.
 */
Object.defineProperty(exports, "__esModule", { value: true });
// Helper classes
var constructor_options_1 = require("./constructor-options");
exports.ConstructorOptions = constructor_options_1.ConstructorOptions;
var settings_options_1 = require("./settings-options");
exports.SettingsOptions = settings_options_1.SettingsOptions;
// Basic plot and data
var base_plot_1 = require("./base-plot");
exports.BasePlot = base_plot_1.BasePlot;
// All the enumerations
var index_1 = require("./enums/index");
exports.AutoScale = index_1.AutoScale;
exports.CMode = index_1.CMode;
exports.DrawMode = index_1.DrawMode;
exports.LineType = index_1.LineType;
exports.Origin = index_1.Origin;
exports.PHUnits = index_1.PHUnits;
exports.RubberboxAction = index_1.RubberboxAction;
exports.RubberboxMode = index_1.RubberboxMode;
exports.XCNT = index_1.XCNT;
//# sourceMappingURL=index.js.map